Zoey REST API reference ยท Interactive version: apidocs.zoey.com

Accounts

Accounts: Prices

Get

GET https://container-url.zoeysite.com/api/rest/companyAccounts/account/:account_id/specificPrices/:product_id

Example response (Get), HTTP 200:

{
    "id": "6",
    "company_id": "53",
    "product_id": "69441",
    "price": "20.0000"
}

Get All

GET https://container-url.zoeysite.com/api/rest/companyAccounts/account/:account_id/specificPrices

Example response (Get All), HTTP 200:

[
    {
        "id": "6",
        "company_id": "53",
        "product_id": "69441",
        "price": "20.0000"
    }
]

Create

POST https://container-url.zoeysite.com/api/rest/companyAccounts/account/:account_id/specificPrices

Request Fields:

Field Type Required Description
product_id integer Yes ID of Product
price number Yes Price of Product

Example request body:

{
    "product_id": 69441,
    "price": 10
}

Example response (Create), HTTP 200:

""

Update

PUT https://container-url.zoeysite.com/api/rest/companyAccounts/account/:account_id/specificPrices/:product_id

Request Fields:

Field Type Required Description
price number Yes Price of Product

Example request body:

{
    "price": 20
}

Delete

DELETE https://container-url.zoeysite.com/api/rest/companyAccounts/account/:account_id/specificPrices/:product_id